Blog package error: could not create type

Topics: Standard packages, Troubleshooting
Mar 29, 2011 at 8:32 PM

Hi

Just added Blog package and got following error:

Website\BlogMetaWeblog.ashx(1): Build (web): Could not create type 'Composite.Community.Blog.MetaWeblog.Handler'.

BlogMetaWeblog.ashx content:

<%@ WebHandler Language="C#" Class="Composite.Community.Blog.MetaWeblog.Handler" %>

Thanks a lot

Mel
Mar 30, 2011 at 8:10 AM

Mel,
Please advice with Composite C1 build (Help => About) and Composite.Community.Blog version (System => Packages => Installed packages => Composite.Community => right click on Composite.Community.Blog and Package Info).


Mar 30, 2011 at 8:29 AM

Hi

Package info:

Name=Composite.Community.Blog

Version=1.4.6

Author=Composite A/S

Installation Date=2011.03.28 12:46:39

Installed by=admin

 

We have tested it last night and happens only on the machine with fresh checkout from SVN... Could that be problem?

 

thanks

mel

Mar 31, 2011 at 10:06 AM

Mel,
I've just installed Composite C1 2.1: Build no. 2.1.4087.22991 and Blog - 1.4.6.. Works as expected. 

Just to make sure, you just request BlogMetaWeblog.ashx in the browser, like http://c1/BlogMetaWeblog.ashx ?

Please confirm if you have Composite.Community.Blog.dll in bin?

 


Apr 3, 2011 at 11:23 AM

Hi Aeont

Yes I had it in v.2.0sp1, but it worked when we migrated to v.2.1.

I believe we won't go back to v.2.0 so consider this issue closed.
Maybe we'll try it out when we find some time....

Thanks a lot.

Mel